#
# Copyright (C) 2016 The Android Open Source Project
# Copyright (C) 2016 Linaro Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

LOCAL_PATH:= $(call my-dir)

gperftools_cppflags := \
  -Wall \
  -Wno-sign-compare \
  -Wno-unused-parameter \
  -Werror \
  -std=gnu++11 \
  -Wno-unused-function

#
# Static library for utility functions defined in run_benchmark.c
#
include $(CLEAR_VARS)
LOCAL_CLANG := true
LOCAL_MODULE := librunbenchmark
LOCAL_MODULE_TAGS := debug
LOCAL_SRC_FILES := run_benchmark.c
include $(BUILD_STATIC_LIBRARY)

#
# malloc benchmark
#
include $(CLEAR_VARS)
LOCAL_CLANG := true
LOCAL_CPP_EXTENSION := cc
LOCAL_CXX_STL := libc++
LOCAL_SRC_FILES := malloc_bench.cc
LOCAL_SYSTEM_SHARED_LIBRARIES := libc libstdc++
LOCAL_STATIC_LIBRARIES := librunbenchmark
LOCAL_CPPFLAGS += $(gperftools_cppflags)
LOCAL_CFLAGS := -Wall -Werror -std=gnu++11
LOCAL_MODULE := gperftools_benchmark_malloc
LOCAL_MODULE_PATH := $(TARGET_OUT_OPTIONAL_EXECUTABLES)
LOCAL_MODULE_TAGS := debug
LOCAL_SHARED_LIBRARIES += libcutils
include $(BUILD_EXECUTABLE)

#
# binary tree benchmark
#
include $(CLEAR_VARS)
LOCAL_CLANG := true
LOCAL_CPP_EXTENSION := cc
LOCAL_CXX_STL := libc++
LOCAL_SRC_FILES := binary_trees.cc
LOCAL_SYSTEM_SHARED_LIBRARIES := libc libstdc++
LOCAL_STATIC_LIBRARIES :=
LOCAL_CPPFLAGS += $(gperftools_cppflags)
LOCAL_CFLAGS := -Wall -Werror -std=gnu++11
LOCAL_MODULE := gperftools_benchmark_binarytrees
LOCAL_MODULE_PATH := $(TARGET_OUT_OPTIONAL_EXECUTABLES)
LOCAL_MODULE_TAGS := debug
LOCAL_SHARED_LIBRARIES += libcutils
include $(BUILD_EXECUTABLE)
